Runtime

## org.eclipse.gmf.runtime.diagram.ui.providers
Class CompositeTopDownProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.diagram.ui.services.layout.AbstractLayoutNodeProvider
              org.eclipse.gmf.runtime.diagram.ui.services.layout.AbstractLayoutEditPartProvider
                  org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider
                      org.eclipse.gmf.runtime.diagram.ui.providers.internal.CompositeLayoutProvider
                          org.eclipse.gmf.runtime.diagram.ui.providers.CompositeTopDownProvider

All Implemented Interfaces:
  IProvider, org.eclipse.gmf.runtime.diagram.ui.services.layout.ILayoutNodeProvider

    public class CompositeTopDownProvider

extends org.eclipse.gmf.runtime.diagram.ui.providers.internal.CompositeLayoutProvider

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider
`layoutDefaultMargin, MAX_EDGE_PADDING, MIN_EDGE_PADDING, minX, minY, mm, NODE_PADDING`

Constructor Summary
`CompositeTopDownProvider()`

Method Summary
`protected Rectangle` `translateFromGraph(Rectangle rect)`
`protected Rectangle` `translateToGraph(Rectangle r)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.providers.internal.CompositeLayoutProvider
`adjustNodePadding, build_nodes, createGraph, createGraphLayout, createNodeChangeBoundCommands, getNodeMetrics, hasChildren, postProcessGraph, shouldHandleConnectableListItems`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider
`build_edges, build_graph, createEdgesChangeBoundsCommands, createSubCommands, getMapMode, getRelevantConnections, initializeEdge, layoutEditParts, layoutEditParts, layoutTopDown, provides, setNodeMetrics, update_diagram`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.services.layout.AbstractLayoutEditPartProvider
`layoutLayoutNodes`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.services.layout.AbstractLayoutNodeProvider
`getContainer, getNodeToSizeMap`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### CompositeTopDownProvider

    public CompositeTopDownProvider()

Method Detail

### translateToGraph

    protected Rectangle translateToGraph(Rectangle r)

  Specified by:
    `translateToGraph` in class `org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider`

### translateFromGraph

    protected Rectangle translateFromGraph(Rectangle rect)

  Specified by:
    `translateFromGraph` in class `org.eclipse.gmf.runtime.diagram.ui.providers.internal.DefaultProvider`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.